/*------------------------------------*\
    #STAGE-TEASER
\*------------------------------------*/
/**
 * Stage component that contains a teaser + img with a link to an article.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

.#{$inuit-namespace}stage-teaser,
%#{$inuit-namespace}stage-teaser {
    display: block;
    float: left;
    width: 100%;
}

.#{$inuit-namespace}stage-teaser__content,
%#{$inuit-namespace}stage-teaser__content {
    background: $drk-color-light-beige;
    padding: 20px;

    @media #{$medium-up} {
        background: $drk-color-light-beige;
        padding: 20px;
        position: relative;
    }

    @media #{$large-up} {
        background-color: rgba($drk-color-white, .9);
        bottom: grid-calc(2, 24);
        left: grid-calc(2, 24);
        max-width: 40%;
        padding: 10px;
        position: absolute;
    }
}

.#{$inuit-namespace}stage-teaser__meta,
%#{$inuit-namespace}stage-teaser__meta {
    margin-top: 0;
}

.#{$inuit-namespace}stage-teaser__text,
%#{$inuit-namespace}stage-teaser__text {
    margin-bottom: 1em;
    width: 100%;
    padding: 0;
}

.#{$inuit-namespace}stage-teaser__headline,
%#{$inuit-namespace}stage-teaser__headline {
    @media #{$small-only} {
        font-size: $h4-font-size;
    }
}

.#{$inuit-namespace}stage-teaser__link,
%#{$inuit-namespace}stage-teaser__link {
        @extend %o-btn;
}
